h54221
s 00052/00000/00000
d D 1.1 83/01/20 11:09:57 tes 1 0
c date and time created 83/01/20 11:09:57 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine cvreal (numpts, indata, rdata)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Output a graph to the current device                   #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT indata(1)
integer numpts
real rdata(1)

SHORTINT string(CHARxREALxLENGTH), c1, c2
integer i, j, k1, k2, jend

   if (numpts > 0) {
      # convert/unpack graph data to real
      do i=1, numpts {

         k2 = 1
         j = (i-1)*5 + 1
         jend = j + DATAxREALxLENGTH - 1
         do k1=j, jend {
	    call upck4b (indata(k1), c1, c2)
	    if (c1 != NUL) c1 = c1 + STAR
	    if (c2 != NUL) c2 = c2 + STAR
	    string(k2) = c1
	    string(k2+1) = c2
	    k2 = k2 + 2
	    if (c2 == NUL) break
	    }
         string (CHARxREALxLENGTH) = NUL
         call ktod (string, rdata(i))
         }
      }
   return
end
E 1
